Metadata APIs
Get metadata subservice data from a Spark service. Depending on the desired reference parameter, different URIs are available.
In Excel, the name Xoutput_metadata.<parameter> is used to define the metadata subservice.
Bearer token can be accessed from the user menu.
Tenant is part of your sign-in URL and also available in the user menu.
mytenantFolder associated with the API call.
myfolderService associated with the API call.
myserviceOK
GET /{tenant}/api/v3/folders/{folder}/services/{service}/metadata HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "Success",
"response_data": {
"outputs": {
"CSV1": "\"A\",\"B\",\"C\"\n\"1\",\"2\",\"3\"\n",
"Chain_a": 4,
"Chain_b": 2,
"Range_EF_function": [
{
"E": "AB",
"F": 48
}
],
"Single_AB_function": 20,
"Single_C_function": "SAMPLE TEXT",
"Single_D_function": "2022-10-18",
"Solve_x_calculated": 5.3579474132655,
"Single_XJ_Out_G": 3,
"Single_XJ_Out_H": "",
"Single_XJ_Out_I": 2,
"Solve1": {
"TargetValue": "0",
"ByChangingCellValue": "5.357947413265504",
"Comments": "Goal was reached on iteration 9."
},
"REPORT1": {
"PDFUrl": "https://excel.myenvironment.coherent.global/67a1a340-3f06-4db1-a4b8-316757d03d07.pdf",
"PDFName": "67a1a340-3f06-4db1-a4b8-316757d03d07.pdf",
"DocumentGenerationTime": "23",
"PDFGenerationTime": "7"
}
},
"warnings": [],
"errors": [
{
"error_category": "validation_error",
"error_type": "error.VALIDATION",
"additional_details": "SimpleServiceAplusB",
"source_path": "$.Input.A",
"message": "Input Not Valid"
},
{
"error_category": "validation_error",
"error_type": "error.VALIDATION",
"additional_details": "Sample API Full",
"source_path": "$.Input.Xvalidate1",
"message": "I am an Xvalidate error"
}
]
},
"response_meta": {
"service_id": "4bf0af24-0a24-49f1-bd02-c2a343eb8246",
"version_id": "d5b2b3b3-8d79-41b1-a9c3-3d9652687204",
"version": "1.0.0",
"process_time": 2,
"call_id": "372167af-ae77-4298-8f59-f45c0f98c4fe",
"compiler_type": "Neuron",
"compiler_version": "1.0.0",
"source_hash": null,
"engine_id": "B72FD22D775D5A9FA10BCFF183369BCB",
"correlation_id": "",
"system": "SPARK",
"request_timestamp": "2021-12-29T06:15:32Z"
},
"error": null
}In Excel, the name Xoutput_metadata.<parameter> is used to define the metadata subservice.
Bearer token can be accessed from the user menu.
Tenant is part of your sign-in URL and also available in the user menu.
mytenantservice_id of the requested service.
4bab4cc7-fde1-4315-871d-17a72c4c39a2OK
GET /{tenant}/api/v3/service/{serviceId}/metadata HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "Success",
"response_data": {
"outputs": {
"Metadata.Date": "2002-01-01",
"Metadata.Number": 456,
"Metadata.Text": "DEF"
},
"warnings": null,
"errors": null,
"service_chain": null
},
"response_meta": {
"service_id": "174f7627-7c82-4e6f-9a9c-74af30f1c29b",
"version_id": "fe3a3443-3d0e-4baf-8c9c-67b9cc291e18",
"version": "0.1.0",
"call_id": "9584e6b4-e761-4009-9697-0d4409b46682",
"compiler_type": "Neuron",
"compiler_version": null,
"source_hash": null,
"engine_id": "02FBE240BC722D92BB1A771AA69EB7D2",
"correlation_id": null,
"system": "SPARK",
"request_timestamp": "2022-05-10T00:58:20.752Z"
},
"error": null
}In Excel, the name Xoutput_metadata.<parameter> is used to define the metadata subservice.
Bearer token can be accessed from the user menu.
Tenant is part of your sign-in URL and also available in the user menu.
mytenantversion_id of the requested service.
0fb13c76-8b9b-43da-b664-2b11eb11d5c3OK
GET /{tenant}/api/v3/version/{versionId}/metadata HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "Success",
"response_data": {
"outputs": {
"CSV1": "\"A\",\"B\",\"C\"\n\"1\",\"2\",\"3\"\n",
"Chain_a": 4,
"Chain_b": 2,
"Range_EF_function": [
{
"E": "AB",
"F": 48
}
],
"Single_AB_function": 20,
"Single_C_function": "SAMPLE TEXT",
"Single_D_function": "2022-10-18",
"Solve_x_calculated": 5.3579474132655,
"Single_XJ_Out_G": 3,
"Single_XJ_Out_H": "",
"Single_XJ_Out_I": 2,
"Solve1": {
"TargetValue": "0",
"ByChangingCellValue": "5.357947413265504",
"Comments": "Goal was reached on iteration 9."
},
"REPORT1": {
"PDFUrl": "https://excel.myenvironment.coherent.global/67a1a340-3f06-4db1-a4b8-316757d03d07.pdf",
"PDFName": "67a1a340-3f06-4db1-a4b8-316757d03d07.pdf",
"DocumentGenerationTime": "23",
"PDFGenerationTime": "7"
}
},
"warnings": [],
"errors": [
{
"error_category": "validation_error",
"error_type": "error.VALIDATION",
"additional_details": "SimpleServiceAplusB",
"source_path": "$.Input.A",
"message": "Input Not Valid"
},
{
"error_category": "validation_error",
"error_type": "error.VALIDATION",
"additional_details": "Sample API Full",
"source_path": "$.Input.Xvalidate1",
"message": "I am an Xvalidate error"
}
]
},
"response_meta": {
"service_id": "4bf0af24-0a24-49f1-bd02-c2a343eb8246",
"version_id": "d5b2b3b3-8d79-41b1-a9c3-3d9652687204",
"version": "1.0.0",
"process_time": 2,
"call_id": "372167af-ae77-4298-8f59-f45c0f98c4fe",
"compiler_type": "Neuron",
"compiler_version": "1.0.0",
"source_hash": null,
"engine_id": "B72FD22D775D5A9FA10BCFF183369BCB",
"correlation_id": "",
"system": "SPARK",
"request_timestamp": "2021-12-29T06:15:32Z"
},
"error": null
}Last updated
